package fr.lri.hcc.ilda.touchtokens;

/*
 *   Authors: Caroline Appert (caroline.appert@lri.fr)
 *   Copyright (c) Univ. Paris-Sud XI, 2015. All Rights Reserved
 *   Licensed under the GNU LGPL. For full terms see the file COPYING.
*/

import java.io.Console;
import java.text.DecimalFormat;

public class TestConsole implements TokenListener {

	protected DecimalFormat df = new DecimalFormat("0.0000");

	protected boolean end = false;

	public TestConsole() {
		final Console c = System.console();
        if (c == null) {
            System.err.println("No console.");
            System.exit(1);
        }
        System.out.println("Type quit to quit the program.");
        Runnable readConsole = new Runnable() {
        	public void run() {
        		while(!end) {
        			try {
						Thread.sleep(500);
					} catch (InterruptedException e) {
						e.printStackTrace();
					}
        			String line = c.readLine();
        			end = line.endsWith("quit");
        			if(end) {
        				System.exit(1);
        			}
        		}

        	}
        };
        (new Thread(readConsole)).start();
	}

	public void tokenDown(TokenEvent event) {
		TouchPoint centroid = TouchTokenRecognizer.centroid(event.getPoints());
		System.out.println("+ "+event.tokenID+" ("+df.format(centroid.x)+", "+df.format(centroid.y)+")");
	}

	public void tokenMoved(TokenEvent event) {
		TouchPoint centroid = TouchTokenRecognizer.centroid(event.getPoints());
		System.out.println("~ "+event.tokenID+" ("+df.format(centroid.x)+", "+df.format(centroid.y)+")");
	}

	public void tokenUp(TokenEvent event) {
		TouchPoint centroid = TouchTokenRecognizer.centroid(event.getPoints());
		System.out.println("- "+event.tokenID+" ("+df.format(centroid.x)+", "+df.format(centroid.y)+")");
	}

}
